# -*- coding: utf-8 -*-

# Define here the models for your scraped items
#
# See documentation in:
# https://docs.scrapy.org/en/latest/topics/items.html

import scrapy


class ShipInfoItem(scrapy.Item):
    ID = scrapy.Field()
    Name = scrapy.Field()
    IMO = scrapy.Field()
    MMSI = scrapy.Field()
    Callsign = scrapy.Field()
    image_urls = scrapy.Field()
    Image = scrapy.Field()
    RegCountry = scrapy.Field()
    Owner = scrapy.Field()
    Builder = scrapy.Field()
    BuilderTime = scrapy.Field()
    SourceType = scrapy.Field()
    Type = scrapy.Field()
    UsageType = scrapy.Field()
    Nettonnage = scrapy.Field()
    Width = scrapy.Field()
    Length = scrapy.Field()
    LeftPost = scrapy.Field()
    Trail = scrapy.Field()
    Draught = scrapy.Field()
    CrewNum = scrapy.Field()
    DataSource = scrapy.Field()
    UpdateTime = scrapy.Field()
    LastTime = scrapy.Field()
    Sensitive = scrapy.Field()
    DisplayName = scrapy.Field()
    DepthType = scrapy.Field()
    ExpireTimestamp = scrapy.Field()

class VoyageTrackpointInfoItem(scrapy.Item):
    ID = scrapy.Field()
    VoyageID = scrapy.Field()
    ShipMMSI = scrapy.Field()
    Head = scrapy.Field()
    Trace = scrapy.Field()
    Speed = scrapy.Field()
    Status = scrapy.Field()
    Longitude = scrapy.Field()
    Latitude = scrapy.Field()
    FromPort = scrapy.Field()
    FromGlobalCode = scrapy.Field()
    DestPort = scrapy.Field()
    DestGlobalCode = scrapy.Field()
    UpdateTime = scrapy.Field()
    LastTime = scrapy.Field()
    DepTime = scrapy.Field()
    DestTime = scrapy.Field()
    Position = scrapy.Field()
    ExpireTimestamp = scrapy.Field()
    
class RouteItem(scrapy.Item):
    ID = scrapy.Field()
    Name = scrapy.Field()
    StartBaseCode = scrapy.Field()
    EndBaseCode = scrapy.Field()
    Navpoints = scrapy.Field()
    Type = scrapy.Field()
    UpdateTime = scrapy.Field()
    LastTime = scrapy.Field()
    MetaData = scrapy.Field()

class VoyageInfoItem(scrapy.Item):
    ID = scrapy.Field()
    VoyageID = scrapy.Field()
    NaviDistance = scrapy.Field()
    DepAtbTime = scrapy.Field()
    Sog1 = scrapy.Field()
    DepTime = scrapy.Field()
    DestPortName_En = scrapy.Field()
    DestPortZone = scrapy.Field()
    Sog2 = scrapy.Field()
    DestTime = scrapy.Field()
    MMSI = scrapy.Field()
    DepCountryCode = scrapy.Field()
    DepPortName_En = scrapy.Field()
    DestCountryCode = scrapy.Field()
    NaviTime = scrapy.Field()
    DestPortName_Cn = scrapy.Field()
    DepPortName_Cn = scrapy.Field()
    Position = scrapy.Field()
    Status = scrapy.Field()
    DepPortZone = scrapy.Field()
    UpdateTime = scrapy.Field()
    LastTime = scrapy.Field()

class PortIDItem(scrapy.Item):
    PortID = scrapy.Field()
    EnName = scrapy.Field()
    CnName = scrapy.Field()
    PortGlobalCode = scrapy.Field()
    CountryCode = scrapy.Field()